Bug 305321 - can't write non-ASCII filenames on NTFS pendrive
can't write non-ASCII filenames on NTFS pendrive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
http://forum.ntfs-3g.org/viewtopic.ph...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 11:42 EDT by Henrik Pauli
Modified: 2013-03-05 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Pauli 2007-09-25 11:42:53 EDT
Description of problem:
I recently reformatted my pendrive to NTFS, and use ntfs-3g on my computer to
mount my Windows partitions.  My locale is en_US.UTF-8, and the fstab-mounted
disks do seem to follow this, but the dynamically mounted pendrive doesn't.  At
least it doesn't let me copy non-ASCII filenames on it (ASCII ones work fine).

I suspect that autofs (or whatever is responsible) doesn't do a setlocale() and
ends up calling ntfs-3g with the C locale eventually.


How reproducible:
Always

Steps to Reproduce:
1. Create fs on pendrive with mkfs.ntfs
2. ensure that you're in a UTF-8 locale when you plug it in
3. Try to copy a file that has non-ASCII characters.

Additional info:
See URL for the ntfs-3g forum discussion.
Comment 1 Ian Kent 2007-09-25 12:43:27 EDT
(In reply to comment #0)
> Description of problem:
> I recently reformatted my pendrive to NTFS, and use ntfs-3g on my computer to
> mount my Windows partitions.  My locale is en_US.UTF-8, and the fstab-mounted
> disks do seem to follow this, but the dynamically mounted pendrive doesn't.  At
> least it doesn't let me copy non-ASCII filenames on it (ASCII ones work fine).
> 
> I suspect that autofs (or whatever is responsible) doesn't do a setlocale() and
> ends up calling ntfs-3g with the C locale eventually.
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Create fs on pendrive with mkfs.ntfs
> 2. ensure that you're in a UTF-8 locale when you plug it in
> 3. Try to copy a file that has non-ASCII characters.
> 
> Additional info:
> See URL for the ntfs-3g forum discussion.

How about an example map and file name?
Ian
Comment 2 Ian Kent 2007-09-25 12:52:40 EDT
(In reply to comment #1)
> > 
> > Additional info:
> > See URL for the ntfs-3g forum discussion.

While this may well actually be a problem for autofs
if you were using it I don't think you've fingered the
right package.

Normally, removable media are handled by ????. udev/d-bus
I'm not entirely sure.

Ian
Comment 3 Henrik Pauli 2007-09-25 13:09:34 EDT
#1: Example filenames could be Kép1.jpg or tájékoztató.txt for example.  What do
you mean by map though?

#2: Yeah, udev perhaps has something to do with it -- didn't find anything in
there that would give me a hint at all though.
Comment 4 Ian Kent 2007-09-25 14:22:58 EDT
(In reply to comment #3)
> #1: Example filenames could be Kép1.jpg or tájékoztató.txt for example.  What do
> you mean by map though?

If your not using an autofs map then your not likely using
autofs. I'll reassign this to the hal component.

Best of luck
Ian
Comment 5 Brian Powell 2008-04-25 00:38:53 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.